> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/eye-bags-eye-circles-and-lacrimal-grooves.md).

# Eye Area Condition Result Scheme

Haut.AI provides a set of AI algorithms that estimate the condition of the skin in the eye area.

## **Description**

{% content-ref url="/pages/73rKWtze1XNR5EogaKNA" %}
[Eye Area Condition Algorithm](/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/eye-area-condition-algorithm.md)
{% endcontent-ref %}

## `algorithm_tech_name`

`eye_area_condition`

## `area_name`

The algorithm returns metrics and sub-metrics for the following facial areas:

* `face`
* `left_eye_area_outer`
* `right_eye_area_outer`

## `main_metric`

The main metric is an overall score that indicates the condition of the skin around the eyes in each `area_name`

```javascript
"main_metric": {
                "value": 43,
                "widget_type": "bad_good_line",
                "name": "Eye Area Condition",
                "tech_name": "eye_area_condition",
                "widget_meta": null
            },
```

* **`value`** The eye area skin condition score ranges from `[0,100]`. A *higher value in this parameter is associated with less prominent eye bags, lacrimal grooves, and dark circles.*
* The score can be classified into six classes based on `value`:
  * `(90,100]` - Excellent
  * `(80,90]` - Great
  * `(70,80]` - Good
  * `(50,70]` - Average
  * `(30, 50]` - Poor
  * `[0,30]` - Bad
* `"widget_type": "bad_good_line"` indicates that a higher value is better
* `"name": "Eye Area Condition"`
* `"tech_name": "eye_area_condition"`

## `sub_metrics`

The algorithm returns three sub-metrics - `Dark Circle Score`,`Eye Bags Score`, and `Lacrimal Groove Score` that evaluate the condition of the skin in the eye area

```javascript
"sub_metrics": [
                {
                    "value": 42,
                    "widget_type": "bad_good_line",
                    "name": "Dark Circle Score",
                    "tech_name": "dark_circles_score",
                    "widget_meta": null
                },
                {
                    "value": 45,
                    "widget_type": "bad_good_line",
                    "name": "Eyes Bags Score",
                    "tech_name": "eyes_bags_score",
                    "widget_meta": null
                },
                {
                    "value": 47,
                    "widget_type": "bad_good_line",
                    "name": "Lacrimal Groove Score",
                    "tech_name": "lacrimal_groove_score",
                    "widget_meta": null
                }
            ]

```

* **`Dark Circle Score`** evaluates the presence of dark circles for each `area_name`
  * **`value`** ranges from `[0,100]`*.The higher the value of this parameter, the less prominent the dark circles*
  * `"widget_type": "bad_good_line"` indicates that a higher value is better
  * `"name": "Dark Circle Score"`
  * `"tech_name": "dark_circles_score"`
* **`Eyes Bags Score`** evaluates the presence of eye bags for each `area_name`
  * **`value`** ranges from `[0,100]`*.The higher the value of this parameter, the less prominent the eye bags*
  * `"widget_type": "bad_good_line"` indicates that a higher value is better.
  * `"name": "Eye Bags Score"`
  * `"tech_name": "eyes_bags_score"`
* **`Lacrimal Groove Score`** evaluates the presence of lacrimal grooves for each `area_name`
  * **`value`** ranges from `[0,100]`*.The higher the value of this parameter, the less prominent the lacrimal groove*
  * `"widget_type": "bad_good_line"` indicates that a higher value is better
  * `"name": "Lacrimal Groove Score"`
  * `"tech_name": "lacrimal_groove_score"`

## `masks_restored`

The algorithm returns three vectorized masks `"name": "Dark Circles Mask"`,`"name": "Eyes Bags Mask"` and `"name": "Lacrimal Groove Mask"` for dark circles, eye bags, and lacrimal groove objects on a face-aligned image. All masks are `polygon_masks`

* `"mask_type": "polygon_mask"`
* `features`

  * geometry
    * `"type": "Multipolygon"`

  See more on Masks [here](/haut.ai/haut.ai-features/algorithms/algorithm-results.md#masks)

## `masks_original`

The algorithm returns three vectorized masks `"name": "Dark Circles Mask"`,`"name": "Eyes Bags Mask"` and `"name": "Lacrimal Groove Mask"` for dark circles, eye bags, and lacrimal groove objects on an original image. All masks are `polygon_masks`

* `"mask_type": "polygon_mask"`
* `features`

  * geometry
    * `"type": "Multipolygon"`

  See more on Masks [here](/haut.ai/haut.ai-features/algorithms/algorithm-results.md#masks)

## **Example (JSON)**

{% file src="/files/-MYEzbdY7XUFbLFkOxF8" %}
eye\_area\_condition.json
{% endfile %}

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/eye-bags-eye-circles-and-lacrimal-grooves.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
